/**
 * Hier erfolgt die Definition aller png-Files, die in das Spritesheet
 * mit verbacken werden.
 */

var SpriteLibrary = [
    // { filename: "ship_1.png", name: "Ship_1", index: 0, scale: 0.2 },
    // { filename: "ship_2.png", name: "Ship_1", index: 1, scale: 0.2 },
    // { filename: "ship_3.png", name: "Ship_1", index: 2, scale: 0.2 }
];

function expandDigits(n, digits) {
    let s = "" + n;
    while (s.length < digits)
        s = "0" + s;
    return s;
}

let spriteLibInit = () => {
    for (let i = 1; i <= 13; i++) {
        SpriteLibrary.push({
            filename: "boulder/image_part_" + expandDigits(i, 3) + ".png",
            name: "Boulder",
            index: i,
            extrudeMarginWidth: 1
        });
    }
};

spriteLibInit();

if (typeof module != "undefined") {
    module.exports = SpriteLibrary;
}

